@layer components {
  .scanlines {
    background: linear-gradient(
      rgba(18, 16, 16, 0) 50%,
      rgba(0, 0, 0, 0.2) 50%
    );
    background-size: 100% 5px;
    z-index: 10;
    pointer-events: none;
    position: fixed;
    inset: 0;
  }

  .button {
    display: inline-flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    line-height: 1.15;
    font-size: clamp(1rem, 4vw, 1.145rem);
    font-weight: 700;
    border: 1px solid var(--border-color, var(--button-bg));
    background-color: var(--button-bg);
    color: var(--button-text-color);
    padding: .25em 1.25em;
    transition: background-color 250ms ease-in-out, color 250ms ease-in-out;
  }

  .button:is(:hover, :focus) {
    background-color: var(--button-bg-hover);
    color: var(--button-text-color-hover);
    outline: none;
  }

  .button--primary {
    --button-text-color: hsl(from var(--color-black) h s calc(l + 15));
    --button-bg: var(--color-theme-primary);
    --button-bg-hover: transparent;
    --button-text-color-hover: hsl(from var(--color-theme-primary) h s calc(l + 15));
  }

  .button--primary--outline {
    --border-color: currentColor;
    --button-text-color: hsl(from var(--color-theme-primary) h s calc(l - 8));
    --button-bg: transparent;
    --button-bg-hover: var(--color-theme-primary);
    --button-text-color-hover: hsl(from var(--color-black) h s calc(l + 15));
  }

  .section-header {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    justify-content: flex-start;
    align-items: stretch;
  }

  .section-header :where(h2, h3, h4) {
    margin: 0;
  }

  [aria-label="My specializations"] {
    margin: 2rem 0 0;
    padding: 0;
    font-size: .85rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    list-style: none;
    font-weight: 500;
  }

  [aria-label="My specializations"] li {
    padding: .5em 1em;
    cursor: default;
    transition: border-color 250ms ease-in-out, color 250ms ease-in-out;
    border: 1px solid hsl(from var(--color-theme-primary) h s calc(l - 10) / 40%);
  }

  [aria-label="My specializations"] li:hover {
    border-color: hsl(from var(--color-theme-primary) h s calc(l - 10) / 68%);
    color: hsl(from var(--color-theme-primary) h s calc(l + 17));
  }

  .grid {
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    gap: 1rem;
    max-width: 70rem;
    margin-inline: auto;
  }

  .grid > * {
    grid-column: span 12;
  }

  .grid > *:not(.section-header) > * {
    height: 100%;
  }

  .card {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    height: 100%;
    line-height: 1.6;
    font-size: clamp(.89rem, 2vw, 1rem);
    border: 1px solid hsl(from var(--color-theme-primary) h s calc(l - 10) / 40%);
  }

  .card > header {
    margin-bottom: .75rem;
  }

  .card-title {
    line-height: 1.5;
  }

  /*.card p {*/
  /*  line-height: inherit;*/
  /*  font-size: inherit;*/
  /*}*/

  .card:has(.invisible-link) {
    position: relative;
    isolation: isolate;
    transition: border-color 250ms ease-in-out, color 250ms ease-in-out;
  }

  .card:has(.invisible-link):is(:hover, :focus-within) {
    border-color: hsl(from var(--color-theme-primary) h s calc(l - 10) / 68%);
    color: hsl(from var(--color-theme-primary) h s calc(l + 17));
  }

  .card-date {
    margin-top: .85rem;
    font-size: clamp(.725rem, 2vw, .82rem);
    opacity: .85;
  }

  .card-tags {
    padding: 0;
    order: -1;
    margin-block: 0 .5rem;
    font-size: clamp(.78rem, 2vw, .85rem);
    font-weight: 500;
    list-style: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: .25rem;
  }

  .card-tags li {
    padding: .25em .5em;
    border: 1px solid hsl(from var(--color-theme-primary) h s calc(l - 10) / 40%);
  }

  .invisible-link {
    position: absolute;
    inset: 0;
    z-index: 10;
  }

  .form {
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    gap: 1rem;
  }

  .form > * {
    grid-column: span 12;
  }

  .form-field:has(input[disablde]) {
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }

  @media all and (min-width: 48rem) {
    .section-header {
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
    }
  }
}